Bug 243774 - Closing angle bracket incorporated in autodetected hyperlinks
Summary: Closing angle bracket incorporated in autodetected hyperlinks
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: messageviewer (show other bugs)
Version: 1.12.4
Platform: Unlisted Binaries Linux
: NOR normal with 5 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-06 17:37 UTC by Christopher Yeleighton
Modified: 2013-03-07 12:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2010-07-06 17:37:37 UTC
Version:           1.12.4 (using KDE 4.3.5) 
OS:                Linux

According to RFC 1738 [1], URL embedded in plain text should be embedded in triangle brackets; the message viewer automatically generates hyperlinks for embedded absolute URL but it misunderstands the angle bracket notation.

___
[1] <URL:http://www.ietf.org/rfc/rfc1738.txt#APPENDIX>

Reproducible: Always

Steps to Reproduce:
1. 
Read a text message containing the text reference 
<URL:http://www.ietf.org/rfc/rfc1738.txt#APPENDIX>


Actual Results:  
1. 
The viewer detects a link:
href="http://www.ietf.org/rfc/rfc1738.txt#APPENDIX>"

Expected Results:  
1.
The actual link is:
href="http://www.ietf.org/rfc/rfc1738.txt#APPENDIX"

OS: Linux (x86_64) release 2.6.31.12-0.2-desktop
Compiler: gcc
Comment 1 Laurent Montel 2012-08-01 07:46:15 UTC
I confirm it
Comment 2 Laurent Montel 2013-03-07 12:57:16 UTC
Git commit a748f1f637a992dbbf55f0c7b0058971fc368994 by Montel Laurent.
Committed on 07/03/2013 at 13:56.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 243774 - Closing angle bracket incorporated in autodetected hyperlinks

FIXED-IN: 4.10.2

M  +1    -1    kpimutils/linklocator.cpp

http://commits.kde.org/kdepimlibs/a748f1f637a992dbbf55f0c7b0058971fc368994